\section{E-Mail Security}
We cover the topic of email signature and email encryption. If you send an email over the internet without extra protection it is like sending a post card.

\begin{description}
  \item[Sig nature Key]
  Equivalent to a person‘s digital identity.  Thus there MUST NOT be more than a single copy of the private signature key! Best stored on a tamper-proof smart card. Mandated by digital signature legislation. 
  \item[Encryption Key]
  Backup copy protects against information loss. If the private encryption key gets lost or damaged, all encrypted communication received in the past cannot be accessed and read any more. In a corporate environment, a deputy should be able to access the encrypted email of an employee who is absent due to vacation, accident, sickness or even death.
\end{description}

\includegraphics[width=0.75\textwidth]{smimesummary} 

\includegraphics[width=\textwidth]{securityosi}

\subsection{Multipurpose Internet Mail Extension (S/MIME)}
S/MIME (Secure/Multipurpose Internet Mail Extensions) is a standard for public key encryption and signing of MIME data. 

\includegraphics[width=0.75\textwidth]{smime1} 
Signed Message Format 

\includegraphics[width=0.75\textwidth]{smimeformat1.png}

\subsubsection{PKCS \#7}
Is the cryptographic message syntax standard.

\includegraphics[width=0.75\textwidth]{pkcs.png}
\subsubsection{Signed Message with Multiple Signatures} 
\includegraphics[width=0.75\textwidth]{smimemultiplesig}

\subsubsection{S/MIME Encrypted Message Format}
\includegraphics[width=0.75\textwidth]{smimeencrypted} 

Encrypted Message with Multiple Recipients: Envelope using Symmetric Encryption. 
\includegraphics[width=0.75\textwidth]{smimeencryption} 

Singing before Encryption. We can verify the signature after we have unencrypted the message.
\includegraphics[width=0.75\textwidth]{smimeboth} 

Or we and sign after the encryption. 
\includegraphics[width=0.75\textwidth]{smime1.png}

\subsection{SPAM}
\includegraphics[width=0.75\textwidth]{mailsetup} 

Different probability thresholds can be used to trade off False Positive rate (Accuracy) versus False 100\% Negative rate (Completeness). Delete only when probability of being SPAM is high. 

\includegraphics[width=0.75\textwidth]{spampositives}

\subsubsection{Sender Policy Framework (SPF)}
SPF records are TXT records in DNS. A mail server or anti-spam filter that supports SPF checking does a DNS text query for the address supplied in the SMTP “MAIL FROM” command. The response may be: NO SPF, Pass, Fail, No Answer, Lookup Error, check neutral or incomplete. \\ 

strongsec.net TXT "v=spf1 a mx a:lists.strongswan.org -all"

\subsubsection{Domain Keys Indentified Mail (DKIM)}
The sending mail server signs the mail hashes. Therefore we can verify if the server really has send the mail. 

\includegraphics[width=\textwidth]{DKIM}
